package com.yihu.quota.dao.view;

import com.yihu.quota.model.view.ViewQuotaFilter;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;


/**
 * 视图、指标的过滤条件 DAO
 *
 * @author janseny
 * @date 2018年9月26日
 */
public interface ViewQuotaFilterDao extends PagingAndSortingRepository<ViewQuotaFilter, String> {

    List<ViewQuotaFilter> findByRelationId(@Param("relationId") String relationId);

}
