package com.yihu.quota.etl.formula;

import com.yihu.quota.feign.RsDictClient;
import com.yihu.quota.util.SpringUtil;

/**
 * @author l4qiang
 */
public class DivisionFunc implements Functioner {
    /**
     * @param args args[0] orgCode
     *             args[1] level 1-区县，2-市，3-省，4-国家
     * @return
     */
    @Override
    public String execute(Object... args) throws Exception {
        if (args.length < 2) {
            throw new Exception("args error");
        }

        String orgCode = (String) args[0];
        int level = Integer.parseInt((String) args[1]);
        if (level == 0) {
            return "";
        }

        RsDictClient rsDictClient = SpringUtil.getBean(RsDictClient.class);
        String divisionCode = orgCode;
        for (int i = 0; i < level; ++i) {
            divisionCode = rsDictClient.getCacheValue("STD_DIVISION_ASSOCIATION", divisionCode);
        }

        return divisionCode;
    }
}
