package com.yihu.quota.vo;

/**
 * 视图、指标过滤条件 model
 *
 * @author 张进军
 * @date 2018/9/29 15:40
 */
public class ViewQuotaFilterModel {

    /**
     * 维度字段
     */
    private String dimensionCode;
    /**
     * 关系类型，and：且，or：或
     */
    private String relationType;
    /**
     * 比较类型，belong：属于，not_belong：不属于，null：为空，not_null：非空，gt：大于，gte：大于等于，小于：lt，小于等于：lte，contain：包含，not_contain：不包含
     */
    private String compareType;
    /**
     * 过滤的值
     */
    private Object filterValue;

    public String getDimensionCode() {
        return dimensionCode;
    }

    public void setDimensionCode(String dimensionCode) {
        this.dimensionCode = dimensionCode;
    }

    public String getRelationType() {
        return relationType;
    }

    public void setRelationType(String relationType) {
        this.relationType = relationType;
    }

    public String getCompareType() {
        return compareType;
    }

    public void setCompareType(String compareType) {
        this.compareType = compareType;
    }

    public Object getFilterValue() {
        return filterValue;
    }

    public void setFilterValue(Object filterValue) {
        this.filterValue = filterValue;
    }
}
