package com.yihu.quota.dao.source;

import com.yihu.quota.model.source.DataSourcesTableField;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.data.repository.query.Param;
import org.springframework.transaction.annotation.Transactional;

/**
 * Created by wxw on 2018/9/10.
 *
 * @author wxw.
 */
public interface DataSourcesTableFieldDao extends PagingAndSortingRepository<DataSourcesTableField, Integer> {

    @Modifying
    @Transactional
    @Query("delete from DataSourcesTableField where tableId = :tableId")
    void deleteByTableId(@Param("tableId") Integer tableId);
}
