package com.yihu.quota.dao.view;

import com.yihu.quota.model.view.ViewQuota;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;


/**
 * 视图指标 DAO
 *
 * @author janseny
 * @date 2018年9月26日
 */
public interface ViewQuotaDao extends PagingAndSortingRepository<ViewQuota, String> {

    List<ViewQuota> findByViewId(@Param("viewId") String viewId);

}
